body{
    background-color: #010817 !important;
}

html {
	scroll-behavior: auto !important;
}

body:has(.portfolio-all-projects-section){
    overflow-x: clip;
}

#spacing{
    height: 0 !important;
}

header#masthead.scrolled-hover {
    background-color: #010817 !important;
}

header#masthead.menu-active{
    background: var(--d-dark) !important;
}

.custom-dropdown-button,
.contact-form-section.dark-theme form p:has(label.focused)::before {
    background: #010817 !important;
}

.site-header{
    background: transparent !important;
}

.contact-form-section .contact-form-gradient{
    display: none !important;
}

.contact-form-section.dark-theme{
    background-color: #010817 !important;
}

.section-block{
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 24px;
    padding: 0 60px;
    align-items: stretch;
}

.portfolio-all-categories-section{
    row-gap: 32px;
    padding-top: 240px;
    padding-bottom: 240px;
}

.portfolio-all-categories-column{
    grid-column: span 6;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 40px;
}

.portfolio-all-categories-column-label{
    display: flex;
    align-items: center;
    gap: 10px;
}

.portfolio-all-categories-column-label-dot{
    width: 10px;
    height: 10px;
    border-radius: 33%;
    background-color: var(--d-accent);
}

.portfolio-featured-slide-info-header-label-dot,
.portfolio-featured-tablet-header-label-dot{
    width: 10px;
    height: 10px;
    border-radius: 33%;
    background-color: var(--d-white);
}

.portfolio-featured-tablet-header-label-dot{
    background-color: var(--d-accent);
}

.portfolio-all-categories-column-label-text{
    color: var(--d-accent);
    font-family: Manrope;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 26px; /* 144.444% */
    letter-spacing: 0.9px;
    text-transform: uppercase;
}

.portfolio-featured-slide-info-header-label-text,
.portfolio-featured-tablet-header-label-text{
    color: var(--d-white);
    font-family: Manrope;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 26px; /* 144.444% */
    letter-spacing: 0.9px;
    text-transform: uppercase;
}

.portfolio-featured-tablet-header-label-text{
    color: var(--d-accent);
}

.portfolio-all-categories-column-items{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 0;
}

.portfolio-all-categories-column-item{
    display: flex;
    min-height: 80px;
    align-items: center;
    border-bottom: 1px solid rgba(156, 174, 201, 0.20);
    cursor: default;
    transition: height 0.6s ease;
}

.portfolio-all-categories-column-item:not(.isEmpty){
    cursor: pointer;
}

.portfolio-all-categories-column-item-text{
    color: var(--d-white);
}

.portfolio-all-categories-column-item-image {
  position: fixed;
  top: 0;
  left: 130px;
  width: 213px;
  height: 265px;
  object-fit: cover;
  object-position: center;
  transform: translateX(-50%) translateY(-50%);
  z-index: 9;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.portfolio-all-categories-show-more{
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    margin-top: 32px;
    display: flex;
    align-items: center;
    padding: 0 60px;
}

.portfolio-all-categories-show-more .show-more-text{
    color: var(--d-white);
}

.portfolio-all-categories-show-more svg{
    flex-shrink: 0;
    width: 32px;
    height: 32px;
}

#showMorePortfolioCategoriesBtn{
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
    opacity: 0.5;
    transition: 0.3s;
}

.portfolio-all-categories-column-items .mobile-show-more-btn{
    display: none;
}

.portfolio-featured-section{
    padding-top: 0;
    padding-bottom: 140px;
}

.portfolio-featured-container{
    grid-column: 1 / -1;
    position: relative;
    width: 100%;
    height: auto;
    aspect-ratio: 90 / 47;
    max-height: calc(100vh - 120px);
}

.portfolio-featured-content{
    grid-column: 1 / -1;
    position: absolute;
    width: 100%;
    height: 100%;
}

.portfolio-featured-slide{
    width: 100%;
    height: 100%;
    border-radius: 4px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 24px;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: 0.6s ease-in-out;
    pointer-events: none;
}

.portfolio-featured-slide.active{
    opacity: 1;
    pointer-events: all;
    z-index: 2;
}

.portfolio-featured-slide-info{
    width: 100%;
    max-width: 736px;
    height: 100%;
    padding: 40px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: space-between;
    box-sizing: content-box;
    z-index: 2;
    pointer-events: none;
}

.portfolio-featured-slide-info .main-text-medium{
    color: rgba(255, 255, 255, 0.80);
    width: 100%;
    max-width: 480px;
}

.portfolio-featured-slide-video-wrapper{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(270deg, rgba(0, 0, 0, 0.00) 60%, rgba(0, 0, 0, 0.60) 100%);
    overflow: hidden;
}

.portfolio-featured-slide-video-wrapper video{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 4px;
}

.portfolio-featured-slide-video-wrapper::after{
    background: linear-gradient(270deg, rgba(0, 0, 0, 0.00) 60%, rgba(0, 0, 0, 0.60) 100%);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 4px;
    display: block;
    content: '';
    position: absolute;
}

.portfolio-featured-slide-info-header{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 40px;
}

.portfolio-featured-slide-info-header .main-h3{
    color: var(--d-white);
}

.portfolio-featured-slide-info-header-label,
.portfolio-featured-tablet-header-label{
    display: flex;
    align-items: center;
    gap: 10px;
}

.portfolio-featured-tablet-header-label{
    display: none;
}

.portfolio-featured-navigation{
    display: flex;
    align-items: center;
    gap: 12px;
    position: absolute;
    z-index: 2;
    background: transparent;
    top: 0;
    right: 0;
    padding: 40px;
    cursor: pointer;
    pointer-events: none;
}

.portfolio-featured-navigation-btn{
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 0;
    outline: 0;
    border-radius: 4px;
    background: rgba(255, 255, 255, 0.10);
    flex-shrink: 0;
    width: 32px;
    height: 32px;
    transition: 0.3s;
    pointer-events: all;
}

.portfolio-featured-slide-link-icon{
    display: none;
}

.portfolio-featured-slide-link-icon svg{
    width: 11px;
    height: 11px;
}

.swiper-notification{
    display: none;
}

.portfolio-featured-section .swiper-pagination-bullet{
    opacity: 1;
    transition: 0.3s;
    background: var(--d-dark-accent);
}

.portfolio-featured-section .swiper-pagination-bullet-active{
    opacity: 1;
    background: var(--light-blue);
}

.portfolio-featured-section .swiper__pagination-container{
    line-height: 8px;
}

.portfolio-featured-item-card-plaque {
    position: absolute;
    top: 0;
    left: 0;
    white-space: nowrap;
    pointer-events: none;
    z-index: 10;
    display: none;                /* прячем по умолчанию */
    align-items: center;
    justify-content: center;
    transform-origin: center;
    background: rgba(11, 21, 33, 0.40);
    backdrop-filter: blur(16px);
    padding: 8px 14px;
    gap: 8px;
}

.portfolio-featured-item-card-plaque .small-text-medium{
    color: var(--n-white);
}

.hero-section .hero-footer{
    display: flex;
    align-items: center;
    padding-bottom: 80px;
    margin-bottom: 0;
    margin-top: auto;
    gap: 6px;
    flex-direction: column;
}

@media (min-width: 1921px){
    .hero-section .hero-footer{
        gap: 12px;
        margin-bottom: auto;
        margin-top: 100px;
        flex-direction: row;
    }
}

.hero-section .hero-footer .small-text-medium{
    color: var(--n-very-light-accent);
}

.hero-section .hero-footer svg{
    flex-shrink: 0;
    width: 16px;
    height: 32px;
}

.hero-section .hero-footer svg .dot{
    animation: moveDot 2s cubic-bezier(0.25, 1, 0.5, 1) infinite;
}

@keyframes moveDot {
  0% {
    transform: translateY(0);
  }
  60% {
    transform: translateY(16px);   /* доехал вниз */
  }
  85% {
    transform: translateY(16px);   /* пауза внизу */
  }
  100% {
    transform: translateY(0);      /* вернулся наверх */
  }
}

@media (hover:hover){
    #showMorePortfolioCategoriesBtn:hover{
        opacity: 1;
    }

    .portfolio-featured-navigation-btn:hover{
        background: rgba(255, 255, 255, 0.20);
    }
}

@media (max-width: 1919px) {
    .section-block{
        padding: 0 40px;
    }

    .hero-section .hero-footer{
        padding-bottom: 40px;
    }

    .portfolio-featured-container{
        max-height: calc(100vh - 96px);
    }

    .portfolio-all-categories-section{
        padding-top: 180px;
        padding-bottom: 180px;
    }

    .portfolio-all-categories-column{
        gap: 32px;
    }

    .portfolio-all-categories-column-item{
        min-height: 72px;
    }

    .portfolio-all-categories-show-more{
        padding: 0 40px;
    }

    .portfolio-featured-section{
        padding-top: 0;
        padding-bottom: 100px;
    }

    .portfolio-featured-slide-info{
        padding: 32px;
    }

    .portfolio-featured-slide-info-header{
        gap: 32px;
    }

    .portfolio-featured-navigation{
        padding: 32px;
    }
}

@media (max-width: 1439px) {
    .portfolio-all-categories-section{
        padding-top: 140px;
        padding-bottom: 140px;
    }

    .hero-section .hero-footer{
        padding-bottom: 24px;
    }

    .portfolio-all-categories-column-label{
        gap: 8px;
    }

    .portfolio-all-categories-column-label-dot{
        width: 8px;
        height: 8px;
    }

    .portfolio-featured-slide-info-header-label-dot,
    .portfolio-featured-tablet-header-label-dot{
        width: 8px;
        height: 8px;
    }

    .portfolio-all-categories-column-label-text{
        font-size: 16px;
        letter-spacing: 0.8px;
    }

    .portfolio-featured-slide-info-header-label-text,
    .portfolio-featured-tablet-header-label-text{
        font-size: 16px;
        letter-spacing: 0.8px;
    }

    .portfolio-all-categories-show-more svg{
        width: 28px;
        height: 28px;
    }

    .portfolio-featured-slide-info-header-label,
    .portfolio-featured-tablet-header-label{
        gap: 8px;
    }
}

@media (max-width: 1079px) {
    .section-block{
        gap: 20px;
        grid-template-columns: repeat(4, 1fr);
    }

    .hero-section .hero-footer{
        display: none;
    }

    #hero-fade-wrapper{
        margin-top: 0;
        width: 100%;
    }

    .portfolio-all-categories-column{
        grid-column: span 2;
    }

    .portfolio-all-categories-column-item{
        min-height: 100px;
    }

    .portfolio-all-categories-column-item-image {
        display: none;
    }

    .portfolio-all-categories-show-more{
        min-height: 80px;
    }

    .portfolio-featured-section{
        padding-top: 0;
        padding-bottom: 180px;
    }

    .portfolio-featured-content{
        width: 100%;
        height: auto;
        position: static;
    }

    .portfolio-featured-slide{
        position: static;
        opacity: 1;
        pointer-events: all;
    }

    .portfolio-featured-container{
        aspect-ratio: unset;
        display: flex;
        flex-direction: column;
        align-items: stretch;
        gap: 40px;
        max-height: unset;
    }

    .portfolio-featured-slide-info{
        max-width: unset;
        padding: 0;
        justify-content: start;
        height: auto;
        pointer-events: all;
    }

    .portfolio-featured-slide-video-wrapper{
        position: static;
        width: 100%;
        height: auto;
        aspect-ratio: 1 / 1;
        border-radius: 4px;
        overflow: hidden;
    }

    .portfolio-featured-slide-info .main-text-medium{
        display: none;
    }

    .portfolio-featured-slide-info-header{
        gap: 0;
    }

    .portfolio-featured-slide-info-header-label{
        display: none;
    }

    .portfolio-featured-tablet-header-label{
        display: flex;
    }

    .portfolio-featured-slide-video-wrapper::after{
        display: none;
    }

    .portfolio-featured-navigation{
        display: none;
    }

    .portfolio-featured-slide-link-icon{
        display: flex;
        position: absolute;
        top: 10px;
        right: 10px;
        width: 24px;
        height: 24px;
        border-radius: 4px;
        background: rgba(11, 21, 33, 0.40);
        backdrop-filter: blur(16px);
        align-items: center;
        justify-content: center;
    }
}

@media (max-width: 577px) {
    .section-block{
        padding: 0 16px;
        display: flex;
        flex-direction: column;
        align-items: stretch;
    }

    .portfolio-all-categories-section{
        padding-top: 100px;
        padding-bottom: 100px;
    }

    .portfolio-all-categories-column-items{
        display: flex;
        flex-direction: row;
        align-items: center;
        column-gap: 20px;
        row-gap: 0px;
        flex-wrap: wrap;
        position: relative;
        contain: layout style;      
        will-change: transform;       
        -webkit-overflow-scrolling: touch;
    }

    .portfolio-all-categories-column{
        gap: 24px;
    }

    .portfolio-all-categories-columns-wrapper{
        gap: 60px;
    }

    .portfolio-all-categories-column-item{
        min-height: unset;
        padding: 16px 0;
        border-bottom: unset;
    }

    .portfolio-all-categories-column-item.isEmpty{
        display: none;
    }

    .portfolio-all-categories-show-more{
        display: none;
    }

    .portfolio-all-categories-column-items .mobile-show-more-btn{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 44px;
        height: 44px;
        padding: 0;
        margin: 0;
        border: 0;
        outline: 0;
        background: transparent;
    }

    .portfolio-featured-section{
        padding-top: 0;
        padding-bottom: 120px;
    }

    .portfolio-featured-section .swiper__pagination-container{
        margin-top: 16px;
    }

    .portfolio-featured-container{
        gap: 24px;
    }
}



/* All projects */

.portfolio-all-projects-section{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 80px;
}

.portfolio-all-projects-header.section-block{
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;
    padding-top: 12px;
    padding-bottom: 12px;
}

.portfolio-all-projects-header-controls{
    display: flex;
    align-items: center;
    gap: 20px;
}

.portfolio-all-projects-header-controls-view{
    display: flex;
    align-items: center;
    gap: 7px;
}

.portfolio-all-projects-header-controls-view-btn{
    border: 0;
    outline: 0;
    padding: 0;
    margin: 0;
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    transition: 0.3s;
    width: 44px;
    height: 44px;
    background: rgba(12, 121, 242, 0.30);
}

.portfolio-all-projects-header-controls-view-btn.active{
    background: var(--bright-blue);
}

.portfolio-all-projects-grid-view.section-block,
.portfolio-all-projects-list-view.section-block{
    display: none;
}

.portfolio-all-projects-grid-view.section-block.active{
    display: flex;
}

.portfolio-all-projects-list-view.section-block.active{
    display: grid;
}

.portfolio-all-projects-list-view{
    align-items: flex-start;
}

.portfolio-all-projects-list-view .portfolio-item-card .main-text-medium{
    display: none !important;
}

.portfolio-all-projects-list-sticky-column{
    grid-column: 1 / 5;
    position: sticky;
    top: 120px;         
    align-self: flex-start;    
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: space-between;   
    height: auto;
    aspect-ratio: 584 / 652.2;
}

.portfolio-all-projects-list-view.loading .portfolio-all-projects-list-sticky-column{
    display: none;
}

.portfolio-all-projects-list-sticky-column .main-h3{
    color: var(--d-white);
}

.portfolio-all-projects-list-sticky-column .main-text-medium{
    color: var(--d-grey);
    max-width: 432px;
}

.portfolio-all-projects-list-posts-column{
    grid-column: 6 / -1;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 60px;
}

.portfolio-all-projects-load-more{
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    background: var(--d-dark-80);
    height: 140px;
    padding: 10px 20px;
    margin: 0;
    border: 0;
    outline: 0;
    transition: 0.3s;
    width: 100%;
    grid-column: 1 / -1;
    order: 1000;
    overflow-anchor: none;
}

.portfolio-all-projects-load-more .load-more-text{
    color: var(--n-white);
}

.portfolio-all-projects-load-more .loader{
    display: none;
    width: 60px;
    height: 60px;
    animation: rotation 1s linear infinite;
}

.portfolio-all-projects-load-more.loading .load-more-text{
    display: none;
}

.portfolio-all-projects-load-more.loading .loader{
    display: block;
}

.portfolio-all-projects-load-more.loading{
    cursor: default;
}

.portfolio-all-projects-grid-view.loading .portfolio-all-projects-load-more,
.portfolio-all-projects-list-view.loading .portfolio-all-projects-load-more{
    display: none;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
} 

.portfolio-all-projects-grid-view{
    width: 100%;
    flex-direction: column;
    align-items: stretch;
    gap: 140px;
}

.portfolio-all-projects-loader{
    display: none;
    width: 100%;
    align-items: center;
    justify-content: center;
    height: auto;
    aspect-ratio: 1800 / 602;
    grid-column: 1 / -1;
}

.portfolio-all-projects-grid-view.loading .portfolio-all-projects-loader,
.portfolio-all-projects-list-view.loading .portfolio-all-projects-loader{
    display: flex;
}

.portfolio-all-projects-loader svg{
    width: 120px;
    height: 120px;
    animation: rotation 1s linear infinite;
}

.portfolio-all-projects-grid-row{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 24px;
}

.portfolio-all-projects-header-filter-btn{
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 10px;
    padding-inline-start: 20px;
    margin: 0;
    border: 0;
    outline: 0;
    border-radius: 4px;
    transition: 0.3s;
    background: rgba(12, 121, 242, 0.30);
    position: relative;
}

.portfolio-all-projects-header-filter-btn .filter-selected-dot{
    display: none;
    width: 6px;
    height: 6px;
    background: var(--light-blue);
    border-radius: 2px;
    transition: 0.2s;
    flex-shrink: 0;
    align-self: center;
}

.portfolio-all-projects-header-filter-btn:has(.column-item.small-text-semibold.active) .filter-selected-dot{
    display: block;
}

.portfolio-all-projects-header-filter-btn.active{
    background: var(--bright-blue);
}

.portfolio-all-projects-header-filter-btn .small-text-semibold{
    color: var(--n-white);
}

.portfolio-all-projects-header-filter-btn>svg{
    flex-shrink: 0;
    width: 16px;
    height: 16px;
}

.portfolio-all-projects-header-filter-popup{
    display: none;
    position: absolute;
    top: calc(100% + 4px);
    right: 0;
    width: 480px;
    height: auto;
    max-height: calc(100vh - 2*80px);
    overflow-y: auto !important;
    z-index: 15;
    border-radius: 4px;
    background: rgba(2, 38, 79, 0.70);
    backdrop-filter: blur(30px);
}

.portfolio-all-projects-header-filter-btn.active .portfolio-all-projects-header-filter-popup{
    display: flex;
    flex-direction: column;
    gap: 0;
    overflow: hidden;
    align-items: stretch;
    cursor: default;
}

.portfolio-all-projects-header-filter-popup .filter-popup-header{
    width: 100%;
    padding: 16px 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid rgba(211, 230, 255, 0.20);
}

.portfolio-all-projects-header-filter-popup .filter-popup-reset-btn{
    color: var(--light-blue);
    transition: 0.3s;
    display: none;
    cursor: pointer;
}

.portfolio-all-projects-header-filter-popup .filter-popup-reset-btn.active{
    display: flex;
}

.portfolio-all-projects-header-filter-popup .filter-popup-tablet-header{
    display: none;
}

.portfolio-all-projects-header-filter-popup .filter-popup-header p.small-text-semibold{
    color: var(--d-white);
}

.portfolio-all-projects-header-filter-popup .filter-popup-content{
    padding: 10px 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 100%;
}

.portfolio-all-projects-header-filter-popup .column{
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 0;
    width: 100%;
}

.portfolio-all-projects-header-filter-popup .column-heading{
    display: flex;
    align-items: center;
    padding: 16px 30px;
    color: var(--d-grey);

    font-family: Manrope;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    text-transform: uppercase;
}

.portfolio-all-projects-header-filter-popup .column-item{
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px;
    padding-inline-start: 14px;
    padding-inline-end: 20px;
    color: var(--n-white);
    text-align: start;

    margin: 0;
    border: 0;
    outline: 0;
    background: transparent;
    cursor: pointer;
}

.portfolio-all-projects-header-filter-popup .dot{
    display: flex;
    flex-shrink: 0;
    width: 6px;
    height: 6px;
    opacity: 0;
    border-radius: 2px;
    transition: 0.2s;
    background: var(--d-accent);
}

.portfolio-all-projects-header-filter-popup .column-item.active .dot{
    opacity: 1;
}

.filter-popup-tablet-back-btn{
    display: none;
}

@media (hover:hover){
    .portfolio-all-projects-header-controls-view-btn:not(.active):hover{
        background: rgba(12, 121, 242, 0.60);
    }

    .portfolio-all-projects-header-filter-btn:not(.active):hover{
        background: rgba(12, 121, 242, 0.60);
    }

    .portfolio-all-projects-header-filter-popup .column-item:not(.active):hover .dot{
        opacity: 0.5;
    }

    .portfolio-all-projects-header-filter-popup .filter-popup-reset-btn:hover{
        color: var(--bright-blue);
    }

    .portfolio-all-projects-load-more:not(.loading):hover{
        background: var(--d-dark-60);
    }
}

@media (max-width: 1919px) {
    .portfolio-all-projects-section{
        gap: 60px;
    }

    .portfolio-all-projects-grid-view{
        gap: 100px;
    }

    .portfolio-all-projects-list-posts-column{
        gap: 40px;
    }

    .portfolio-all-projects-list-sticky-column .main-text-medium{
        max-width: unset;
    }

    .portfolio-all-projects-load-more{
        height: 100px;
    }

    .portfolio-all-projects-loader{
        aspect-ratio: 1360 / 465;
    }
}

@media (max-width: 1439px) {
    .portfolio-all-projects-section{
        gap: 40px;
    }

    .portfolio-all-projects-header-controls-view-btn{
        width: 40px;
        height: 40px;
    }

    .portfolio-all-projects-grid-view{
        gap: 80px;
    }

    .portfolio-all-projects-list-posts-column{
        gap: 24px;
    }

    .portfolio-all-projects-header-filter-btn{
        padding-top: 8px;
        padding-bottom: 8px;
    }
}

@media (max-width: 1079px) {
    .portfolio-all-projects-header-controls-view{
        display: none;
    }

    .portfolio-all-projects-list-view.section-block{
        display: none !important;
    }

    .portfolio-all-projects-grid-view.section-block{
        display: flex !important;
    }

    .portfolio-all-projects-grid-row{
        display: flex;
        flex-direction: column;
        align-items: stretch;
        gap: 80px;
    }

    .portfolio-all-projects-header-filter-popup{
        position: fixed;
        top: 0;
        right: 0;
        width: 100%;
        height: 100vh;
        max-height: 100vh;
        overflow-y: auto !important;
        z-index: 1000;
        border-radius: 0;
        background: var(--d-dark);
        backdrop-filter: unset
    }

    .portfolio-all-projects-header-filter-popup .filter-popup-content{
        padding: 20px 40px 32px;
        display: flex;
        flex-direction: column;
        align-items: stretch;
        gap: 20px;
        flex: 1;
    }

    .portfolio-all-projects-header-filter-popup .column{
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 24px;
        row-gap: 0;
    }

    .portfolio-all-projects-header-filter-popup .column-heading{
        grid-column: 1 / -1;
        padding: 16px 0;
    }

    .portfolio-all-projects-header-filter-popup .column-item{
        padding: 16px 0;
        padding-inline-start: 0;
        padding-inline-end: 0;
        gap: 12px;
    }

    .portfolio-all-projects-header-filter-popup .dot:not(.active){
        opacity: 0.2;
    }

    .portfolio-all-projects-header-filter-popup .filter-popup-header{
        display: none;
    }

    .portfolio-all-projects-header-filter-popup .filter-popup-tablet-header{
        width: 100%;
        padding: 12px 24px;
        display: flex;
        align-items: center;
        gap: 8px;
        border-bottom: 1px solid rgba(156, 174, 201, 0.20);
        background: var(--d-dark);
        position: sticky;
        top: 0;
        z-index: 2;
    }

    .portfolio-all-projects-header-filter-popup .filter-popup-tablet-header .small-text-semibold{
        flex: 1;
        display: flex;
        justify-content: center;
        align-items: center;
        color: var(--n-white);
    }

    .filter-popup-tablet-back-icon,
    .filter-popup-tablet-reset-btn{
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 40px;
        height: 40px;
    }

    .filter-popup-tablet-reset-btn:not(.active){
        opacity: 0;
        pointer-events: none;
    }

    .filter-popup-tablet-reset-btn.active{
        opacity: 1;
        pointer-events: all;
    }

    .filter-popup-tablet-back-btn{
        display: flex;
        width: auto;
        align-self: start;
        margin-top: auto;
        padding: 10px 20px !important;
    }

    .portfolio-all-projects-loader{
        aspect-ratio: 688 / 472;
    }
}

@media (max-width: 577px) {
    .portfolio-all-projects-header.section-block{
        flex-direction: column;
        align-items: start;
        justify-content: start;
        gap: 32px;
    }

    .portfolio-all-projects-header-filter-popup .filter-popup-content{
        padding: 16px 16px 20px;
    }

    .portfolio-all-projects-header-filter-popup .column-heading{
        padding: 12px 0;
    }

    .portfolio-all-projects-header-filter-popup .column{
        display: flex;
    }

    .portfolio-all-projects-header-filter-popup .filter-popup-tablet-header{
        padding: 10px;
    }

    .filter-popup-tablet-back-btn{
        width: 100%;
        align-self: stretch;
        margin-top: auto;
        padding: 10px 20px !important;
    }

    .portfolio-all-projects-load-more{
        height: 80px;
    }

    .portfolio-all-projects-load-more .loader,
    .portfolio-all-projects-load-more .loader svg{
        width: 40px;
        height: 40px;
    }

    .portfolio-all-projects-loader svg{
        width: 60px;
        height: 60px;
    }

    .portfolio-all-projects-loader{
        aspect-ratio: 343 / 277;
    }
}

/* Last section  */

#portfolio-cards-canvas-container{
    position: absolute; 
    top: 0; 
    left: 0; 
    width: 100%; 
    height: 100%;
    z-index: 1; 
    pointer-events: auto; 
}

.portfolio-cards-with-animation-section{
    position: relative;
    height: 400vh;
    background: #010817;
}

#sticky-container {
    position: sticky;
    top: 0;
    height: 100vh;
    width: 100%;
    overflow: hidden; 
}

#text-container {
    position: absolute; 
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 100%;
    z-index: 3;
    pointer-events: none; 
}

.portfolio-cards-with-animation-section .portfolio-cards-section{
    padding-top: 240px;
    padding-bottom: 240px;
    position: absolute;
    left: 0;
    width: 100%;
    opacity: 0;
    will-change: opacity, transform;
}

.portfolio-cards-with-animation-section .content-left{
    grid-column: 2 / 6;
    display: flex;
    align-items: center;
}

.portfolio-cards-with-animation-section .slide-text{
    color: rgba(255, 255, 255, 0.60);
    text-shadow: 0 4px 30px rgba(0,0,0,0.9);
}

.portfolio-cards-with-animation-section .slide-text span{
    color: var(--n-white, #ffffff);
    -webkit-text-fill-color: #ffffff;
    display: inline-block;
}

@media (max-width: 1919px) {
    .portfolio-cards-with-animation-section .portfolio-cards-section{
        padding-top: 180px;
        padding-bottom: 180px;
    }

    .portfolio-cards-with-animation-section .content-left{
        min-height: 300px;
    }
}

@media (max-width: 1439px) {
    .portfolio-cards-with-animation-section .portfolio-cards-section{
        padding-top: 120px;
        padding-bottom: 120px;
    }

    .portfolio-cards-with-animation-section .content-left{
        min-height: 240px;
    }
}

@media (max-width: 1079px) {
    .portfolio-cards-with-animation-section .portfolio-cards-section{
        padding-top: 0;
        padding-bottom: 0;
        column-gap: 80px;
    }

    .portfolio-cards-with-animation-section .content-left{
        grid-column: 1 / -1;
        justify-content: center;
        align-items: start;
    }

    .portfolio-cards-with-animation-section .slide-text{
        text-align: center;
    }

    #text-container {
        top: 160px; 
        left: 50%;
        transform: translateX(-50%);
        width: 100%;
        max-width: 640px;
        padding: 0;
        box-sizing: border-box;
        display: flex;
        justify-content: center; 
    }
}

@media (max-width: 577px) {
    #text-container {
        top: 100px; 
        left: 0;
        transform: unset;
        width: 100%;
        max-width: 100%;
        padding: 0;
        box-sizing: border-box;
        display: flex;
        justify-content: center; 
    }
}

/* Hero section */

#hiro-canvas-container{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    pointer-events: none;
}

#hero-fade-wrapper{
    margin-top: auto;
}

.hero-section {
    height: 100vh; 
    display: flex;
    flex-direction: column;
    max-width: 1920px !important;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 2;
    pointer-events: auto;
    overflow: hidden;
    background: radial-gradient(80.56% 73.95% at 50% 0%, #0539B5 0%, rgba(0, 28, 95, 0.24) 56.63%, rgba(1, 3, 9, 0.00) 100%);
}

@media (min-width: 1920px) {
    .hero-section {
        background: none;
    }
}

.hero-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    opacity: 0;
    visibility: hidden;
    transform-origin: center center; 
    gap: 0;
    will-change: transform, opacity; 
}

.hero-content .badge {
    display: flex;
    align-items: center;
    gap: 10px;
    color: var(--d-accent);
    font-size: 18px;
    font-weight: 700;
    line-height: 26px; 
    letter-spacing: 0.9px;
    text-transform: uppercase;
    font-family: Manrope;
}

.hero-content .badge-dot {
    width: 10px; 
    height: 10px;
    background-color: currentColor; 
    border-radius: 33%;
    flex-shrink: 0;
}

.hero-content>p {
    color: var(--n-white);
    font-size: 68px;
    font-weight: 500;
    line-height: 120%; 
    margin: 12px 0 48px 0; 
    max-width: 900px;
    font-family: Manrope;
}

.hero-content .cta-group {
    display: flex;
    align-items: center;
    gap: 12px;
    justify-content: center;
}

.watch-showreel-web{
    display: flex;
    flex-direction: row-reverse;
    box-shadow: 0 4px 24px 0 #064D9C;
}

.watch-showreel-tablet{
    display: none;
    box-shadow: 0 4px 24px 0 #064D9C;
}

.watch-showreel-web svg, 
.watch-showreel-tablet svg{
    width: 0;
    height: 0;
    border-top: 6px solid transparent;
    border-bottom: 6px solid transparent;
    border-left: 10px solid var(--n-white);
}

.discuss-project,
.watch-showreel-web,
.watch-showreel-tablet {
    padding: 12px 20px !important;
}

@media (max-width: 1919px) {
    .hero-content>p {
        font-size: 48px;
        line-height: 64px; 
        margin: 12px 0 40px 0; 
        max-width: 800px;
    }
}

@media (max-width: 1439px) {
    .hero-content>p {
        font-size: 40px;
        line-height: 52px; 
        max-width: 680px;
    }
}

@media (max-width: 1079px) {
    .hero-section {
        background: radial-gradient(216.1% 73.95% at 50% 0%, #0539B5 0%, rgba(0, 22, 76, 0.20) 41.15%, rgba(1, 3, 9, 0.00) 100%);
    }
    
    .hero-content>p {
        max-width: unset;
        width: 100%;
        text-align: start;
    }

    .hero-section{
        align-items: end;
        justify-content: start;
    }

    .hero-content{
        align-items: start;
        padding: 60px 40px;
    }

    .watch-showreel-web{
        display: none;
    }

    .watch-showreel-tablet{
        display: flex;
        flex-direction: row-reverse;
    }
}

@media (max-width: 577px) {
    .hero-content>p {
        font-size: 32px;
        line-height: 42px; 
        margin: 12px 0 32px 0;
    }

    .hero-content{
        padding: 40px 16px;
    }
}